<html>
 <head>
 <title>Login</title>
 <style type="text/css">
body{
   background: url("../images/pantai.jpg");
}
</style>
 </head>
 <center>
  <body>
      <script language="JavaScript">
/**
  * Disable mouse right-click on page
  * By Arthur Gareginyan (arthurgareginyan@gmail.com)
  * For full source code, visit http://www.mycyberuniverse.com
  */
document.addEventListener("contextmenu", function(e){
    e.preventDefault();
}, false);
</script>
<?php
// menggunakan class phpExcelReader
include "excel_reader2.php";

// koneksi ke mysql
include "../koneksi.php";
mysql_select_db("lulusun");

// membaca file excel yang diupload
$data = new Spreadsheet_Excel_Reader($_FILES['datafile']['tmp_name']);

// membaca jumlah baris dari data excel
$baris = $data->rowcount($sheet_index=0);

// nilai awal counter untuk jumlah data yang sukses dan yang gagal diimport
$sukses = 0;
$gagal = 0;

// import data excel mulai baris ke-2 (karena baris pertama adalah nama kolom)
for ($i=2; $i<=$baris; $i++)
{
$id	= $data->val($i, 1); 
$user = $data->val($i, 2);
$passw = $data->val($i, 3);
$nama = $data->val($i, 4);                                    
$kelas = $data->val($i, 5);
$hasil = $data->val($i, 6);
$asal = $data->val($i, 7);
$bindns = $data->val($i, 8);
$bingns = $data->val($i, 9);
$mtkns = $data->val($i, 10);
$ipans = $data->val($i, 11);
$jmlns = $data->val($i, 12);
$ratans	=$data->val($i, 13);
$bindun = $data->val($i, 14);
$bingun = $data->val($i, 15);
$mtkun = $data->val($i, 16);
$ipaun = $data->val($i, 17);
$jmlun = $data->val($i, 18);
$rataun = $data->val($i, 19);
$bindna = $data->val($i, 20);
$bingna = $data->val($i, 21);
$mtkna = $data->val($i, 22);
$ipana = $data->val($i, 23);
$jmlna = $data->val($i, 24);
$ratana = $data->val($i, 25);
$level = $data->val($i, 26);

$query = "INSERT INTO hasilujian VALUES ('$id', '$user', '$passw', '$nama', '$kelas', '$hasil', '$asal', '$bindns', '$bingns', '$mtkns', '$ipans', '$jmlns', '$ratans', '$bindun', '$bingun', '$mtkun', '$ipaun', '$jmlun', '$rataun', '$bindna', '$bingna', '$mtkna', '$ipana', '$jmlna', '$ratana', '$level')";
$hasil = mysql_query($query);

  // jika proses insert data sukses, maka counter $sukses bertambah
  // jika gagal, maka counter $gagal yang bertambah
if ($hasil) $sukses++;
else $gagal++;
}

// tampilan status sukses dan gagal
echo "<h3>Proses import data selesai.</h3>";
echo "<p>Jumlah data yang sukses diimport : ".$sukses."<br>";
echo "Jumlah data yang gagal diimport : ".$gagal."</p>";
echo "	<td><a href='index.php'>Kembali</a>";
?>
<div align="center">
    <h5><em> Copyright &copy; 2019</em><br/>
      <em>by <a href="http://www.ptk-ppsunm.net"><span class="design">Panitia PMB 2019</span></a></em></h5>
  </div>
  <p>&nbsp;</p>
  </body>
</center>
</html>